KIO Link
KIO Link XC API
KIO Link APIKIO BMSHuawei BMSHuawei Alert
KIO Link XC API
KIO Link APIKIO BMSHuawei BMSHuawei Alert
  1. Opportunities
  • DocuSign
    • Overview
    • List a XC request's DocuSign envelopes
      GET
    • Get an embeded URL signature for a XC Request
      GET
    • Regenerate a URL signature for the current signer
      GET
    • List the order of signers of a DocuSign Envelope
      GET
    • Create a DocuSign envelope for a XC request
      POST
    • Resend email & recover URL signature for a XC request
      POST
    • Create a DocuSign envelope for multiple signers
      POST
  • XC Client Prices
    • Overview
    • List XC client prices
      GET
    • Get a XC client's price
      GET
    • Create a XC client's price
      POST
    • Update a XC client's price
      PATCH
    • Delete a XC client's price
      DELETE
  • XC Comments
    • Overview
    • List XC comments
    • Get a XC comment
    • Create a XC comment
    • Update a XC comment
    • Delete a XC comment
  • XC Connections
    • Overview
    • List XC connections
    • Get a XC connection
    • Create a XC connection
    • Update a XC connection
    • Delete a XC connection
  • XC Contract Settings
    • Overview
    • List XC contract settings
    • Get a XC contract setting
    • Get a XC Request's contract setting
    • Create a XC contract setting
    • Update a XC contract setting
    • Delete a XC contract setting
  • XC Contract Setting Participants
    • Overview
    • List all XC contract settings participants
    • List a XC contract settings participants
    • Get a XC contract settings participant
    • Create a XC contract settings participant
    • Update a XC contract settings participant
    • Delete a XC contract settings participant
  • XC Data Centers
    • Overview
    • List XC datacenters
    • Create a XC datacenter
    • Update a XC datacenter
    • Delete a XC datacenter
  • XC Documents
    • Overview
    • List XC documents
    • Get a XC document's metadata
    • Get a XC document download URL
    • Get a XC document binary file
    • Upload a XC document
    • Delete a XC document
  • XC Reports
    • Overview
    • Download XC requests report
    • Download XC satisfaction survey report
    • Download XC connections report
  • XC Requests
    • Overview
    • List XC requests
    • Get a XC request
    • Get a XC request (complete details)
    • Create a XC request
    • Upsert a XC request draft
    • Update a XC request's general data
    • Change a XC request's status
    • Delete a XC request
    • Revert a XC request to Revision
  • XC Salesforce
    • Overview
    • Accounts
      • Overview
      • List accounts
      • Get an account
    • Opportunities
      • Overview
      • Attachments
        • Overview
        • List opportunity attachments
        • Upload an opportunity attachment
        • Download an opportunity file
      • List opportunities
        GET
      • Get an opportunity
        GET
      • Create an opportunity
        POST
      • Update an opportunity
        PATCH
    • Products
      • Overview
      • List products
      • Get a product
    • Project Requests
      • Overview
      • List project requests
      • Get a project request
      • Create a project request
      • Update a project request
    • Users
      • Overview
      • List users
      • Get a user
    • XC/IC Requests
      • Overview
      • Attachments
        • Overview
        • List XC/IC attachments
        • Upload a XC/IC attachment
        • Download a XC/IC file
      • List XC/IC requests
      • List all KIO Link connections from Salesforce XC/IC requests
      • Get a XC/IC request
      • Create a XC/IC request
      • Update a XC/IC request
  • XC Satisfaction Survey
    • Overview
    • List XC satisfaction surveys
    • Get a XC satisfaction survey
    • Get a XC satisfaction survey per user
    • Create XC satisfaction survey
  • XC Statuses
    • Overview
    • List XC statuses
    • Get a XC status
    • Create a XC status
    • Update a XC status
    • Delete a XC status
  • XC Status Histories
    • Overview
    • List XC status histories
    • List XC status history time summary
    • Get a XC status history record
  • Schemas
    • DocuSign
      • DocuSign Envelope Signer
      • DocuSign Signing URL Result
      • DocuSign Signer Routing
      • DocuSign Resend Result
      • DocuSign Envelope
    • XC Client Prices
      • XC Client Price
    • XC Comments
      • XC Comment
    • XC Connections
      • XC Connection
    • XC Contract Settings
      • XC Contract Setting
    • XC Contract Setting Participants
      • XC Contract Setting Participant
    • XC Data Centers
      • XC Datacenter
    • XC Documents
      • XC Document
    • XC Requests
      • XC Request With Relations
      • XC Request List Item
      • XC Request
      • XC Request With Details
    • XC Salesforce
      • Salesforce Connection
      • Salesforce Account
      • Salesforce User
      • Salesforce Product
      • Salesforce Opportunity List Item
      • Salesforce Opportunity
      • Salesforce Opportunity Write Result
      • Salesforce Attachment
      • Salesforce Attachment Upload Result
      • Salesforce Attachment Download Result
      • Salesforce Request List Item
      • Salesforce Request Point
      • Salesforce Request
      • Salesforce Request Write Result
      • Salesforce Project Request
      • Salesforce Project Request Write Result
      • Salesforce Quote
      • Salesforce Quote Line
    • XC Satisfaction Surveys
      • XC Satisfaction Survey
    • XC Statuses
      • XC Status
    • XC Status Histories
      • XC Status Time
      • XC Status Stage Time
      • XC Status History
    • Error
    • Date Metadata
    • Pagination Metadata
  1. Opportunities

Create an opportunity

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
POST
https://qa-api.kiolinkapp.com
/v1/xc/salesforce/opportunities
Last modified:2026-09-25 18:21:36
Maintainer:José María Esparza Arévalo
Required Permission(s):xc-request-create
The endpoint is capable of filling out the following fields from the provided account_id:
opportunity_currency_iso_code
invoicing_company
service_delivery_manager_id
assigned_service_delivery_id
However, these values can still be inputed manually for overrides.
There are additional fields that can be optional and the endpoint will fill out the default values, which as of now, these default values are mandatory:
factory_opportunity: true
is_renewable: true
forecast_category_dc: Commit
forecast_category: Commit
contracted_racks: 0
new_kws: 0
contracted_mt2: 0
renewed_kws: 0
kws_price: 0
opportunity_type: 0
Additional optional fields that the endpoint can still fill out:
close_date & nrc_start_date: if not provided, the date will be 45 days from the Opportunity's creation date.
Notes: As mentioned before, these values can be inputed manually, but they could also be inputed automatically by the endpoint based on the account_id (but its preferably to provide clarity to the end user at the frontend about this).

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Body Params application/jsonRequired

Examples
{
  "opportunity_name": "UP-META TIKTOK/CARRIER-1XC-RMS MEX2 #RQ-2026-XXXXXXXXXXX",
  "account_id": "001PU00000QySgOYAV",
  "opportunity_currency_iso_code": "USD",
  "close_date": "01-06-2026",
  "stage": "Detección de necesidades",
  "contract_term_months": 12,
  "service_type": "XC",
  "num_of_requests": 7,
  "invoicing_company": "K021 - POWERHOST SOLUTIONS S DE RL DE CV",
  "service_delivery_manager_id": "005Hs00000Cqvf6IAB",
  "assigned_service_delivery_id": "005Hs00000CqvfEIAR",
  "factory_opportunity": true,
  "is_renewable": false,
  "description": "Cliente solicita 7XC en MEX1 entre Meta y Alestra, Telmex",
  "forecast_category_dc": "Commit",
  "forecast_category": "Commit",
  "nrc_start_date": "01-06-2026",
  "mrc_start_date": "01-06-2026",
  "contracted_racks": 0,
  "new_kws": 0,
  "contracted_mt2": 0,
  "renewed_kws": 0,
  "kws_price": 0,
  "datacenter": "MEX1",
  "dcs_project_classification": "Retail",
  "opportunity_type": "XC/IC",
  "assigned_pm_id": "005PU00000AKvvdYAD",
  "assigned_pmo": "Roberto Macias Valadez"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://qa-api.kiolinkapp.com/v1/xc/salesforce/opportunities' \
--header 'authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "opportunity_name": "UP-META TIKTOK/CARRIER-1XC-RMS MEX2 #RQ-2026-XXXXXXXXXXX",
  "account_id": "001PU00000QySgOYAV",
  "opportunity_currency_iso_code": "USD",
  "close_date": "01-06-2026",
  "stage": "Detección de necesidades",
  "contract_term_months": 12,
  "service_type": "XC",
  "num_of_requests": 7,
  "invoicing_company": "K021 - POWERHOST SOLUTIONS S DE RL DE CV",
  "service_delivery_manager_id": "005Hs00000Cqvf6IAB",
  "assigned_service_delivery_id": "005Hs00000CqvfEIAR",
  "factory_opportunity": true,
  "is_renewable": false,
  "description": "Cliente solicita 7XC en MEX1 entre Meta y Alestra, Telmex",
  "forecast_category_dc": "Commit",
  "forecast_category": "Commit",
  "nrc_start_date": "01-06-2026",
  "mrc_start_date": "01-06-2026",
  "contracted_racks": 0,
  "new_kws": 0,
  "contracted_mt2": 0,
  "renewed_kws": 0,
  "kws_price": 0,
  "datacenter": "MEX1",
  "dcs_project_classification": "Retail",
  "opportunity_type": "XC/IC",
  "assigned_pm_id": "005PU00000AKvvdYAD",
  "assigned_pmo": "Roberto Macias Valadez"
}'

Responses

🟢201
application/json
Result of the operation.
Bodyapplication/json

Example
{
    "id": "006QL00000ZME9sYAH",
    "opportunity_number": "Op-504100",
    "success": true
}
Modified at 2026-09-25 18:21:36
Previous
Get an opportunity
Next
Update an opportunity
Built with